/*
 * $Id: StatisticsEnabledTag.java,v 1.1 2005/09/16 10:20:08 jonyp Exp $
 *
 * Copyright (c) Siemens AG 2008 
 *           (c) Universität Paderborn 2008 
 * Licensed under EUPL 1.1. 
 *
 * $Log: StatisticsEnabledTag.java,v $
 * Revision 1.1  2005/09/16 10:20:08  jonyp
 * first strike
 *
 * 
 */
package vkc.view.tag;

import javax.servlet.jsp.JspException;
import javax.servlet.jsp.tagext.TagSupport;
import vkc.view.WebShare;

/**
 * Tag zur Überprüfung, ob STATISTIK Ünterstützung eingeschaltet ist
 *
 * @author jonyP
 */
public class StatisticsEnabledTag extends TagSupport{


    /**
     * Konstruktor
     */
    public StatisticsEnabledTag() {
    }


    /**
     * Aufruf der Methode am Anfang des Tags
     */
    public int doStartTag() throws JspException {
        if (Integer.parseInt(WebShare.getSysParameterValue("STATISTICS", "EnableStatistics", "0")) != 0){   
		    return EVAL_BODY_INCLUDE;
		} 
        
        return SKIP_BODY;
    }

    /**
     * Aufruf der Methode am Ende des Tags
     */
    public int doEndTag() throws JspException {
	
		return EVAL_PAGE;
    }
}